Skip to main content

Upload Repair Attachment

POST 

/api/repairs/attachments

Upload Repair Attachment.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • file (required): file, max:25600, mimes:jpg,jpeg,png,gif,webp,heic,heif,mp4,m4v,mov,qt,webm,pdf
  • repair_order_id (optional): integer, exists:repair_orders,id
  • repair_order_line_id (optional): integer, exists:repair_order_lines,id
  • stage_tag (optional): Enum:in:"intake","diagnosis","before","after","qc","vendor","customer_upload","document"
  • customer_visible (optional): boolean

Permission: repairs.create|repairs.update|repairs.bench. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type